{
    "last_opened_out_file": "C:/src/____GitProjects/radar_data_reader/flight_workspace/250515_122252_Flight/GM-sar_10NM_wf-1-lprf/GM-sar_10NM_wf-1-lprf.out",
    "last_opened_rec_file": "C:/src/____GitProjects/radar_data_reader/_rec/_25-05-15-12-22-52_sata_345.rec",
    "last_out_output_dir": "C:/src/____GitProjects/radar_data_reader/flight_workspace/250515_122252_Flight",
    "last_rec_output_dir": "C:\\src\\____GitProjects\\radar_data_reader\\_rec",
    "last_flight_folder": "C:/__Voli/Volo_12_25maggio2025/rec",
    "last_flight_workspace_parent_dir": "C:/src/____GitProjects/radar_data_reader/flight_workspace/250515_122252_Flight",
    "active_out_export_profile_name": "gsp_data",
    "export_profiles": [
        {
            "name": "prova1",
            "fields": [
                {
                    "column_name": "batch_id",
                    "data_path": "batch_id",
                    "translate_with_enum": false
                },
                {
                    "column_name": "batch_counter",
                    "data_path": "main_header.ge_header.signal_descr.batch_counter",
                    "translate_with_enum": false
                },
                {
                    "column_name": "true_heading_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.true_heading_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "pitch_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.pitch_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "roll_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.roll_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "platform_azimuth_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.platform_azimuth_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "magnetic_heading_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.magnetic_heading_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "heading_rad_sec",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude_rate.heading_rad_sec",
                    "translate_with_enum": false
                },
                {
                    "column_name": "pitch_rad_sec",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude_rate.pitch_rad_sec",
                    "translate_with_enum": false
                },
                {
                    "column_name": "roll_rad_sec",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude_rate.roll_rad_sec",
                    "translate_with_enum": false
                },
                {
                    "column_name": "lat_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.geo_pos.lat_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "lon_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.geo_pos.lon_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "altitude_m",
                    "data_path": "main_header.ge_header.general_settings.navigation.geo_pos.altitude_m",
                    "translate_with_enum": false
                },
                {
                    "column_name": "north_m_s",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.north_m_s",
                    "translate_with_enum": false
                },
                {
                    "column_name": "east_m_s",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.east_m_s",
                    "translate_with_enum": false
                },
                {
                    "column_name": "down_m_s",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.down_m_s",
                    "translate_with_enum": false
                },
                {
                    "column_name": "vx_ground",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.vx_ground",
                    "translate_with_enum": false
                },
                {
                    "column_name": "north_m_s2",
                    "data_path": "main_header.ge_header.general_settings.navigation.acceleration.north_m_s2",
                    "translate_with_enum": false
                },
                {
                    "column_name": "east_m_s2",
                    "data_path": "main_header.ge_header.general_settings.navigation.acceleration.east_m_s2",
                    "translate_with_enum": false
                },
                {
                    "column_name": "down_m_s2",
                    "data_path": "main_header.ge_header.general_settings.navigation.acceleration.down_m_s2",
                    "translate_with_enum": false
                },
                {
                    "column_name": "baro_altitude_m",
                    "data_path": "d1553_data.baro_altitude_m",
                    "translate_with_enum": false
                },
                {
                    "column_name": "down_velocity_ms",
                    "data_path": "d1553_data.down_velocity_ms",
                    "translate_with_enum": false
                },
                {
                    "column_name": "east_velocity_ms",
                    "data_path": "d1553_data.east_velocity_ms",
                    "translate_with_enum": false
                },
                {
                    "column_name": "latitude_deg",
                    "data_path": "d1553_data.latitude_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "longitude_deg",
                    "data_path": "d1553_data.longitude_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "north_velocity_ms",
                    "data_path": "d1553_data.north_velocity_ms",
                    "translate_with_enum": false
                },
                {
                    "column_name": "true_heading_deg",
                    "data_path": "d1553_data.true_heading_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "num_of_detected_tgts",
                    "data_path": "cdp_sts_results.payload.data.detections_chunk.data.num_of_detected_tgts",
                    "translate_with_enum": false
                },
                {
                    "column_name": "target_detections",
                    "data_path": "cdp_sts_results.payload.data.detections_chunk.data.target_detections",
                    "translate_with_enum": false
                },
                {
                    "column_name": "magnetic_heading_deg",
                    "data_path": "d1553_data.magnetic_heading_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "mission_timestamp_str",
                    "data_path": "d1553_data.mission_timestamp_str",
                    "translate_with_enum": false
                },
                {
                    "column_name": "platform_azimuth_deg",
                    "data_path": "d1553_data.platform_azimuth_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "master_mode",
                    "data_path": "main_header.ge_header.mode.master_mode",
                    "translate_with_enum": true
                },
                {
                    "column_name": "operation_mode",
                    "data_path": "main_header.ge_header.mode.operation_mode",
                    "translate_with_enum": true
                },
                {
                    "column_name": "radiate",
                    "data_path": "main_header.ge_header.mode.radiate",
                    "translate_with_enum": true
                },
                {
                    "column_name": "standby",
                    "data_path": "main_header.ge_header.mode.standby",
                    "translate_with_enum": true
                },
                {
                    "column_name": "range_scale",
                    "data_path": "main_header.ge_header.mode.range_scale",
                    "translate_with_enum": true
                },
                {
                    "column_name": "scan_rate",
                    "data_path": "main_header.ge_header.mode.scan_rate",
                    "translate_with_enum": true
                },
                {
                    "column_name": "ground_track_angle_deg",
                    "data_path": "d1553_data.ground_track_angle_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "range_scale_nm",
                    "data_path": "d1553_data.range_scale_nm",
                    "translate_with_enum": false
                },
                {
                    "column_name": "raw_mode",
                    "data_path": "d1553_data.raw_mode",
                    "translate_with_enum": true
                }
            ]
        },
        {
            "name": "gsp_data",
            "fields": [
                {
                    "column_name": "batch_id",
                    "data_path": "batch_id",
                    "translate_with_enum": false
                },
                {
                    "column_name": "batch_counter",
                    "data_path": "main_header.ge_header.signal_descr.batch_counter",
                    "translate_with_enum": false
                },
                {
                    "column_name": "timetag",
                    "data_path": "main_header.ge_header.general_settings.mission_time.timetag",
                    "translate_with_enum": false
                },
                {
                    "column_name": "ttag",
                    "data_path": "main_header.ge_header.signal_descr.ttag",
                    "translate_with_enum": false
                },
                {
                    "column_name": "mission_timestamp_str",
                    "data_path": "d1553_data.mission_timestamp_str",
                    "translate_with_enum": false
                },
                {
                    "column_name": "master_mode",
                    "data_path": "main_header.ge_header.mode.master_mode",
                    "translate_with_enum": false
                },
                {
                    "column_name": "operation_mode",
                    "data_path": "main_header.ge_header.mode.operation_mode",
                    "translate_with_enum": false
                },
                {
                    "column_name": "range_scale",
                    "data_path": "main_header.ge_header.mode.range_scale",
                    "translate_with_enum": false
                },
                {
                    "column_name": "lat_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.geo_pos.lat_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "lon_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.geo_pos.lon_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "altitude_m",
                    "data_path": "main_header.ge_header.general_settings.navigation.geo_pos.altitude_m",
                    "translate_with_enum": false
                },
                {
                    "column_name": "north_m_s",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.north_m_s",
                    "translate_with_enum": false
                },
                {
                    "column_name": "east_m_s",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.east_m_s",
                    "translate_with_enum": false
                },
                {
                    "column_name": "down_m_s",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.down_m_s",
                    "translate_with_enum": false
                },
                {
                    "column_name": "vx_ground",
                    "data_path": "main_header.ge_header.general_settings.navigation.speed.vx_ground",
                    "translate_with_enum": false
                },
                {
                    "column_name": "true_heading_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.true_heading_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "heading_rad_sec",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude_rate.heading_rad_sec",
                    "translate_with_enum": false
                },
                {
                    "column_name": "platform_azimuth_rad",
                    "data_path": "main_header.ge_header.general_settings.navigation.attitude.platform_azimuth_rad",
                    "translate_with_enum": false
                },
                {
                    "column_name": "baro_altitude_m",
                    "data_path": "d1553_data.baro_altitude_m",
                    "translate_with_enum": false
                },
                {
                    "column_name": "down_velocity_ms",
                    "data_path": "d1553_data.down_velocity_ms",
                    "translate_with_enum": false
                },
                {
                    "column_name": "east_velocity_ms",
                    "data_path": "d1553_data.east_velocity_ms",
                    "translate_with_enum": false
                },
                {
                    "column_name": "latitude_deg",
                    "data_path": "d1553_data.latitude_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "longitude_deg",
                    "data_path": "d1553_data.longitude_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "north_velocity_ms",
                    "data_path": "d1553_data.north_velocity_ms",
                    "translate_with_enum": false
                },
                {
                    "column_name": "true_heading_deg",
                    "data_path": "d1553_data.true_heading_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "platform_azimuth_deg",
                    "data_path": "d1553_data.platform_azimuth_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "magnetic_heading_deg",
                    "data_path": "d1553_data.magnetic_heading_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "ground_track_angle_deg",
                    "data_path": "d1553_data.ground_track_angle_deg",
                    "translate_with_enum": false
                },
                {
                    "column_name": "raw_mode",
                    "data_path": "d1553_data.raw_mode",
                    "translate_with_enum": true
                }
            ]
        }
    ],
    "cpp_converter_config": {
        "cpp_executable_path": "C:/src/____GitProjects/radar_data_reader/cpp_tools/g_reconvert.exe",
        "analyze_only": false,
        "no_sign": false,
        "use_fw_header": false,
        "fix_dsp_bug": false,
        "sync_signal_flows": false,
        "extract_sw_only": false,
        "extract_dsp_only": false,
        "stop_on_discontinuity": false,
        "dry_run": false,
        "start_from_stby": false,
        "fix_sata_date": false,
        "examine_data": false,
        "post_process": true,
        "post_process_level": "1",
        "output_format": "",
        "json_config_file": "",
        "max_batches": "",
        "pri_number": "",
        "rbin_number": "",
        "video_out_to_rec": false,
        "video_show": true,
        "video_save": true,
        "video_fix_framerate": false,
        "gps_save_track": true,
        "fix_hr_debug": false,
        "sar_save_only": false,
        "video_add_subtitles": false,
        "verbose": false,
        "debug_messages": false,
        "quiet": false,
        "mask_warnings": false,
        "mask_errors": false,
        "silent_overwrite": true,
        "enable_python_worker_profiling": false
    },
    "segment_export_config": {
        "naming_options": {
            "folder_name_template": "{StartBatch}-{EndBatch}_{Segment}"
        },
        "g_reconverter_options": {
            "cpp_executable_path": "C:/src/____GitProjects/radar_data_reader/cpp_tools/g_reconvert.exe",
            "analyze_only": false,
            "no_sign": false,
            "use_fw_header": false,
            "fix_dsp_bug": false,
            "sync_signal_flows": false,
            "extract_sw_only": false,
            "extract_dsp_only": false,
            "stop_on_discontinuity": false,
            "dry_run": false,
            "start_from_stby": false,
            "fix_sata_date": false,
            "examine_data": false,
            "post_process": true,
            "post_process_level": "1",
            "output_format": "",
            "json_config_file": "",
            "max_batches": "",
            "pri_number": "",
            "rbin_number": "",
            "video_out_to_rec": false,
            "video_show": true,
            "video_save": true,
            "video_fix_framerate": false,
            "gps_save_track": true,
            "fix_hr_debug": false,
            "sar_save_only": false,
            "video_add_subtitles": false,
            "verbose": true,
            "debug_messages": false,
            "quiet": false,
            "mask_warnings": true,
            "mask_errors": false,
            "silent_overwrite": true,
            "enable_python_worker_profiling": false
        }
    },
    "segment_processor_config": {
        "last_output_dir": "C:/src/____GitProjects/radar_data_reader/out_analisys",
        "create_separate_folders": true
    },
    "flight_analysis_options": {
        "aggregate_by_scale": true,
        "aggregate_by_waveform": true
    },
    "segment_export_g_reconvert_config": {
        "cpp_executable_path": "C:/src/GRIFO-E/REP/Projects/Tools/wsLuna/g_reconvert/Debug/g_reconvert.exe",
        "analyze_only": false,
        "no_sign": false,
        "use_fw_header": false,
        "fix_dsp_bug": false,
        "sync_signal_flows": false,
        "extract_sw_only": false,
        "extract_dsp_only": false,
        "stop_on_discontinuity": false,
        "dry_run": false,
        "start_from_stby": false,
        "fix_sata_date": false,
        "examine_data": false,
        "post_process": false,
        "post_process_level": "1",
        "output_format": "",
        "json_config_file": "",
        "max_batches": "",
        "pri_number": "",
        "rbin_number": "",
        "video_out_to_rec": false,
        "video_show": true,
        "video_save": true,
        "video_fix_framerate": false,
        "gps_save_track": true,
        "fix_hr_debug": false,
        "sar_save_only": false,
        "video_add_subtitles": false,
        "verbose": false,
        "debug_messages": false,
        "quiet": false,
        "mask_warnings": false,
        "mask_errors": false,
        "silent_overwrite": true
    },
    "active_rec_csv_profile_name": "Default",
    "active_rec_json_profile_name": "Default"
}